[MSHARED-562] fixed comparison done in r1747973: disable color when less than 3.4...
authorHerve Boutemy <hboutemy@apache.org>
Sat, 25 Jun 2016 10:02:14 +0000 (10:02 +0000)
committerHerve Boutemy <hboutemy@apache.org>
Sat, 25 Jun 2016 10:02:14 +0000 (10:02 +0000)
git-svn-id: https://svn.apache.org/repos/asf/maven/shared/trunk@1750194 13f79535-47bb-0310-9956-ffa450edef68

src/main/java/org/apache/maven/shared/project/utils/AnsiUtils.java

index c26cfb1..11d2cbb 100644 (file)
@@ -28,7 +28,7 @@ import org.fusesource.jansi.AnsiConsole;
  */
 public class AnsiUtils
 {
-    private static final String MINIMUM_MAVEN_VERSION = "3.4.0"; // color added in Maven 3.4.0: see MNG-3507
+    private static final String MINIMUM_MAVEN_VERSION = "3.4.0-alpha"; // color added in Maven 3.4.0: see MNG-3507
 
     private Ansi ansi;
 
@@ -50,7 +50,7 @@ public class AnsiUtils
     public static void systemInstall()
     {
         AnsiConsole.systemInstall();
-        if ( MavenUtils.compareToVersion( MINIMUM_MAVEN_VERSION ) >= 0 )
+        if ( MavenUtils.compareToVersion( MINIMUM_MAVEN_VERSION ) < 0 )
         {
             // ANSI color support was added in Maven 3.4.0: don't enable color if executing older Maven versions
             Ansi.setEnabled( false );